ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Benjamin Damm <bd...@silverspringnet.com>
Subject Re: impossible to get artifacts when data has not been loaded (???)
Date Thu, 20 Nov 2008 19:35:01 GMT
I shall; I worked around this particular oddity by installing each of 
htmlunit's dependencies in turn and setting transitive=false.  I'll post a 
JIRA ticket shortly.

-Ben

On Wednesday 19 November 2008 02:59:21 pm Maarten Coene wrote:
> Benjamin,
>
> I have seen this error before and I thought it was fixed in 2.0-RC2.
> If you have this problem with RC2, could you please create a JIRA issue
> posting your ivy.xml and settings.xml  (or the relevant parts of it)?
>
> thanks,
> Maarten
>
>
>
>
> ----- Original Message ----
> From: Benjamin Damm <bdamm@silverspringnet.com>
> To: ivy-user@ant.apache.org
> Sent: Wednesday, November 19, 2008 9:26:07 PM
> Subject: impossible to get artifacts when data has not been loaded (???)
>
> Hey ivy-gang, I'm running into trouble installing htmlunit 1.14 because I'm
> getting a strange error related to log4j.  I'm wondering if anyone else has
> seen this (google search reveals this popped up before but a fix was made,
> so this must be something else).
>
> This is particularly odd because htmlunit explicitly excludes log4j.
>
> Here's my output:
>      [echo] Downloads a module from a maven2 mirror and places it into the
>      [echo] local repository.  From there it can be added via p4.
>      [echo] Sensible defaults: (overrides show here)
>      [echo]    from: public_m2
>      [echo]    to: ivycontrib_m2
>      [echo]    org: net.sourceforge.htmlunit
>      [echo]
>      [echo] Required:
>      [echo]    module: htmlunit
>      [echo]    revision: 1.14
>      [echo]
>      [echo] Optional:
>      [echo]    transitive: true
>      [echo]    overwrite: true
>      [echo]    haltonfailure: false
> [ivy:install] :: installing net.sourceforge.htmlunit#htmlunit;1.14 ::
> [ivy:install] :: resolving dependencies ::
> [ivy:install]   found net.sourceforge.htmlunit#htmlunit;1.14 in public_m2
> [ivy:install]   found jaxen#jaxen;1.1.1 in public_m2
> [ivy:install]   found xerces#xercesImpl;2.6.2 in public_m2
> [ivy:install]   found commons-collections#commons-collections;3.2 in
> public_m2 [ivy:install]   found commons-lang#commons-lang;2.3 in public_m2
> [ivy:install]   found commons-httpclient#commons-httpclient;3.1 in
> public_m2 [ivy:install]   found commons-codec#commons-codec;1.3 in
> public_m2 [ivy:install]   found rhino#js;1.6R7 in public_m2
> [ivy:install]   found xerces#xmlParserAPIs;2.6.2 in public_m2
> [ivy:install]   found nekohtml#nekohtml;0.9.5 in public_m2
> [ivy:install]   found xerces#xerces;2.4.0 in public_m2
> [ivy:install]   found net.sourceforge.cssparser#cssparser;0.9.4 in
> public_m2 [ivy:install]   found commons-io#commons-io;1.3.1 in public_m2
> [ivy:install]   found commons-logging#commons-logging;1.1 in public_m2
> [ivy:install]   found logkit#logkit;1.0.1 in public_m2
> [ivy:install]   found avalon-framework#avalon-framework;4.1.3 in public_m2
> [ivy:install]   found javax.servlet#servlet-api;2.3 in public_m2
>
> BUILD FAILED
> /home/bdamm/workspace/main/eng/contrib/build.xml:55: impossible to install
> net.sourceforge.htmlunit#htmlunit;1.14: java.lang.IllegalStateException:
> impossible to get artifacts when data has not been loaded. IvyNode =
> log4j#log4j;1.2.14
>
>
> So I'm trying to move past this but this error keeps coming up... I'm
> continuing to investigate but I'm hoping this is already a known issue.
>
> Thanks,
> -Ben



-- 
Benjamin Damm
Silver Spring Networks
650-298-4200 x201

Mime
View raw message